Package csb :: Package statistics :: Module scalemixture :: Class InvGammaPrior

[frames] | no frames]

# Class InvGammaPrior

source code

                     object --+
                              |
              ScaleMixturePrior --+
                                  |
             object --+           |
                      |           |
    pdf.AbstractDensity --+       |
                          |       |
            pdf.BaseDensity --+   |
                              |   |
               pdf.InverseGamma --+
                                  |
                                 InvGammaPrior

Inverse Gamma prior on mixture weights including a weak gamma prior on its parameter.

Nested Classes
Inherited from `pdf.AbstractDensity`: `__metaclass__`

Instance Methods

__init__(self, alpha=1.0, beta=1.0, hyper_alpha=`(`4.0`,` 1.0`)`, hyper_beta=`(`2.0`,` 1.0`)`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

array

log_prob(self, x) Evaluate the logarithm of the probability of observing values `x`. | source code

Inherited from `pdf.InverseGamma`: `random` Inherited from `pdf.AbstractDensity`: `__call__`, `__getitem__`, `__setitem__`, `__str__`, `estimate`, `evaluate`, `get_params`, `set_params` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
Inherited from `pdf.InverseGamma`: `__abstractmethods__`

Properties
AbstractDensity | hyper_alpha
AbstractDensity | hyper_beta
Inherited from `ScaleMixturePrior`: `estimator`, `scale_estimator` Inherited from `pdf.InverseGamma`: `alpha`, `beta` Inherited from `pdf.AbstractDensity`: `parameters` Inherited from `object`: `__class__`

Method Details

### __init__(self, alpha=1.0, beta=1.0, hyper_alpha=`(`4.0`,` 1.0`)`, hyper_beta=`(`2.0`,` 1.0`)`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### log_prob(self, x)

source code

Evaluate the logarithm of the probability of observing values `x`.

Parameters:
  - `x` - values
Returns: array
Overrides: pdf.AbstractDensity.log_prob
  (inherited documentation)